Commit 9a4c737e authored by Philip Müller's avatar Philip Müller

[pkg-upd] 0.9.0-12

- go to latest git-commit
parent 1daf2073
......@@ -12,21 +12,24 @@
pkgbase=octopi
pkgname=('octopi' 'octopi-notifier-qt5' 'octopi-notifier-frameworks') #'octopi-repoeditor' 'octopi-cachecleaner'
pkgver=0.9.0
pkgrel=11
pkgrel=12
# This is the release package so the below _gitcommit variable should (usually) be commented out.
#_gitcommit=f94ee1a04b0ca623fb0cae921b5f880692f78608
_gitcommit=359584ba93ebe95df63cbc6d680f74b9e20345c6
_gitcommit=72a922a0805ffac3eae91c3e02ec6a1ef021ed88
arch=('i686' 'x86_64')
url="http://octopiproject.wordpress.com"
license=('GPL2')
makedepends=('qt5-declarative' 'knotifications' 'libnotify' 'alpm-octopi-utils' 'clang' 'qtermwidget')
makedepends=('qt5-declarative' 'knotifications' 'libnotify' 'alpm-octopi-utils' 'clang' 'qtermwidget' 'qt5-tools')
if [ "${_gitcommit}" != "" ]; then
source=("octopi-${pkgver}-${pkgrel}.tar.gz::https://github.com/aarnt/octopi/archive/${_gitcommit}.tar.gz")
else
source=("octopi-${pkgver}.tar.gz::https://github.com/aarnt/octopi/archive/v${pkgver}.tar.gz")
fi
sha256sums=('acb94b8a5d99e62717dff7af314430355a01602719337090393ddfc7502e4c17')
#source+=('remove-qdialog.patch')
sha256sums=('ea0671a678de489beebbc41cf45e98c0f87bb6ef5bc41be0b1383357fdf3a34b')
# 'af8ebc8892a37c866556df391a078a50c6c56a4425e7ef31d35b27871e490229')
prepare() {
if [ ! -z ${_gitcommit} ]; then
......@@ -36,14 +39,17 @@ prepare() {
fi
# sed version
sed -i -e "s|0.9.1 (dev)|${pkgver}-${pkgrel} (git-${_gitcommit:0:6})|g" src/strconstants.cpp
sed -i -e "s|0.10.0 (dev)|${pkgver}-${pkgrel} (git-${_gitcommit:0:6})|g" src/strconstants.cpp
# fix network detection
# patch -p1 -i $srcdir/remove-qdialog.patch
# fix gksu-polkit
sed -i '/u root -m/d' src/wmhelper.cpp
# sed -i '/u root -m/d' src/wmhelper.cpp
cp -r notifier notifier-qt5
cp -r notifier notifier-frameworks
sed -i 's|#KSTATUS|KSTATUS|' notifier-frameworks/octopi-notifier/octopi-notifier.pro
sed -i 's|#KSTATUS|KSTATUS|' notifier-frameworks/octopi-notifier.pro
cp resources/images/octopi_green.png resources/images/octopi.png
}
......@@ -62,21 +68,21 @@ build() {
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi.pro -spec linux-clang
make -j $jc
cd notifier/pacmanhelper
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" pacmanhelper.pro -spec linux-clang
cd helper
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-helper.pro -spec linux-clang
make -j $jc
cd ../../notifier-qt5/octopi-notifier
cd ../notifier
msg "Building octopi-notifier-qt5..."
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-notifier.pro -spec linux-clang
make -j $jc
cd ../../notifier-frameworks/octopi-notifier
cd ../notifier-frameworks
msg "Building octopi-notifier-frameworks..."
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-notifier.pro -spec linux-clang
make -j $jc
cd ../../repoeditor
cd ../repoeditor
msg "Building octopi-repoeditor..."
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-repoeditor.pro -spec linux-clang
make -j $jc
......@@ -85,16 +91,16 @@ build() {
msg "Building octopi-cachecleaner..."
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-cachecleaner.pro -spec linux-clang
make -j $jc
cd ../sudo
qmake-qt5 PREFIX=/usr QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" octopi-sudo.pro -spec linux-clang
make -j $jc
}
package_octopi() {
pkgdesc="A powerful Pacman frontend using Qt5 libs"
depends=('qt5-base' 'qt5-declarative' 'xterm' 'pacman' 'alpm-octopi-utils>=1.0.0-2' 'qtermwidget')
optdepends=('kdesu: for KDE'
'gksu-polkit: for XFCE, Gnome, LXDE, Cinnamon'
'lxqt-sudo: for LXQT'
'gnome-keyring: for password management'
'gist: for SysInfo report'
depends=('qt5-base' 'qt5-declarative' 'pacman' 'alpm-octopi-utils>=1.0.0-2' 'qtermwidget' 'sudo')
optdepends=('gist: for SysInfo report'
'pacaur: for AUR support'
'trizen: for AUR support'
#'yay: for AUR support'
......@@ -114,14 +120,17 @@ package_octopi() {
make INSTALL_ROOT="${pkgdir}" install
cd notifier/pacmanhelper
cd helper
make INSTALL_ROOT="${pkgdir}" install
cd ../../repoeditor
cd ../repoeditor
make INSTALL_ROOT="${pkgdir}" install
cd ../cachecleaner
make INSTALL_ROOT="${pkgdir}" install
cd ../sudo
make INSTALL_ROOT="${pkgdir}" install
}
package_octopi-repoeditor() {
......@@ -159,9 +168,9 @@ package_octopi-notifier-qt5() {
replaces=('octopi-qt5-notifier' 'octopi-notifier-qt4')
if [ ! -z ${_gitcommit} ]; then
cd "${srcdir}/${pkgbase}-${_gitcommit}/notifier-qt5/octopi-notifier"
cd "${srcdir}/${pkgbase}-${_gitcommit}/notifier"
else
cd "${srcdir}/${pkgbase}-${pkgver}/notifier-qt5/octopi-notifier"
cd "${srcdir}/${pkgbase}-${pkgver}/notifier"
fi
make INSTALL_ROOT="${pkgdir}" install
......@@ -174,9 +183,9 @@ package_octopi-notifier-frameworks() {
provides=("octopi-notifier=${pkgver}")
if [ ! -z ${_gitcommit} ]; then
cd "${srcdir}/${pkgbase}-${_gitcommit}/notifier-frameworks/octopi-notifier"
cd "${srcdir}/${pkgbase}-${_gitcommit}/notifier-frameworks"
else
cd "${srcdir}/${pkgbase}-${pkgver}/notifier-frameworks/octopi-notifier"
cd "${srcdir}/${pkgbase}-${pkgver}/notifier-frameworks"
fi
make INSTALL_ROOT="${pkgdir}" install
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment